Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mauda.evaluation
Class OpTimeStamp

    java.lang.Object
      mauda.evaluation.OpTimeStamp

    public class OpTimeStamp

extends java.lang.Object

Stores time-stamp-information for a specific operation, and is needed in Evaluation-Editor and Evaluation-Player

Author:
  Markus Krebs

Constructor Summary
`OpTimeStamp()` Creates a new time-stamp

Method Summary
`void` | `addStart(long s)` Adds a start-timestamp to the current timestamps of this operation.
`void` | `addStop(long s)` Adds a stop-timestamp to the current timestamps of this operation.
`void` | `clear()` Clears all time-stamps that are associated with this operation.
`long` | `getStart()` Gets the first start-time
`long` | `getStop()` Gets the last stop-time
`java.util.Vector` | `getTimeStamps()` Returns the time-stamps of this operation.
`void` | `load(java.util.HashMap hm)` Loads this time-stamp with the parameter from the HashMap- representation, which was stored in a xml-file.
`java.util.HashMap` | `save()` Converts this time-stamp in saveable representation for storage in a xml-file.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OpTimeStamp

    public OpTimeStamp()

  Creates a new time-stamp

Method Detail

### addStart

    public void addStart(long s)

  Adds a start-timestamp to the current timestamps of this operation.

  Parameters:
    `s` - time-stamp

### addStop

    public void addStop(long s)

  Adds a stop-timestamp to the current timestamps of this operation.

  Parameters:
    `s` - time-stamp

### getTimeStamps

    public java.util.Vector getTimeStamps()

  Returns the time-stamps of this operation. The timestamps are alternated between start and stop. This means that the first time-stamp is a start-time-stamp, the second is a stop-time-stamp, the third is again a start- time-stamp, ... and so on.

  Returns:
    TimeStamps

### clear

    public void clear()

  Clears all time-stamps that are associated with this operation.

### getStart

    public long getStart()

  Gets the first start-time

  Returns:
    start-time

### getStop

    public long getStop()

  Gets the last stop-time

  Returns:
    stop-time

### save

    public java.util.HashMap save()

  Converts this time-stamp in saveable representation for storage in a xml-file.

  Returns:
    A HashMap-representation

### load

    public void load(java.util.HashMap hm)

  Loads this time-stamp with the parameter from the HashMap- representation, which was stored in a xml-file.

  Parameters:
    `hm` - HashMap from xml-file

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD